--AH:ScriptId=fc6f5717-d76a-42b2-8038-d02982bdcf3c;2862
CREATE TABLE [SyncFeeds]
(
	[Feed_Id] INT NOT NULL,
	[Sync_Url] VARCHAR(250) NULL,
	[RemoteFeed_Name] NVARCHAR(250) NULL,
	[RemoteFeed_APIKey_Bytes] VARBINARY(250) NOT NULL,
	[Sync_Frequency_Minutes] INT NOT NULL,
	[Active_Indicator] YNINDICATOR NOT NULL,
	[Last_Sync_Date] DATETIME NULL,

	CONSTRAINT [PK__SyncFeeds]
		PRIMARY KEY ([Feed_Id]),

	CONSTRAINT [FK__SyncFeeds__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),

	CONSTRAINT [CK__SyncFeeds__Sync_Url]
		CHECK ([Sync_Url] IS NULL OR [Sync_Url] LIKE 'http://%' OR [Sync_Url] LIKE 'https://%'),

	CONSTRAINT [CK__SyncFeeds__RemoteFeed_Name]
		CHECK ([RemoteFeed_Name] <> ''),

	CONSTRAINT [CK__SyncFeeds__Sync_Frequency_Minutes]
		CHECK ([Sync_Frequency_Minutes] >= 1)
)