EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_DeleteInstallInstruction',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified package install instruction.'
GO

IF OBJECT_ID('[Packages_DeleteInstallInstruction]') IS NOT NULL DROP PROCEDURE [Packages_DeleteInstallInstruction]
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_DeleteInstallInstruction]
(
	@PackageInstallInstruction_Id INT
)
AS
BEGIN

SET NOCOUNT ON

    DELETE FROM [PackageInstallInstructions] WHERE [PackageInstallInstruction_Id] = @PackageInstallInstruction_Id
	
END
GO

GRANT EXECUTE ON [Packages_DeleteInstallInstruction] TO [ProGetUser_Role]