--AH:ScriptId=1895fb03-e023-49fa-9685-d4f665617390;476
DROP TABLE [ApiKeyEnvironments]
DROP TABLE [Environments]

CREATE TABLE [Feeds]
(
	[Feed_Id] INT IDENTITY(1,1) NOT NULL
		CONSTRAINT [PK__Feeds]
		PRIMARY KEY NONCLUSTERED ([Feed_Id]),
	[Feed_Name] NVARCHAR(50) NOT NULL,
	[Feed_Description] NVARCHAR(MAX),
	[Active_Indicator] YNINDICATOR NOT NULL,
	[Cache_Connectors_Indicator] YNINDICATOR NOT NULL,
	[FeedPathOverride_Text] NVARCHAR(260),
	CONSTRAINT [UQ__Feeds]
		UNIQUE NONCLUSTERED ([Feed_Name])
)

GO

ALTER TABLE [Connectors]
	ADD [Feed_Id] INT NULL,
	CONSTRAINT [FK__Connectors__Feeds] FOREIGN KEY ([Feed_Id]) REFERENCES [Feeds] ([Feed_Id])

GO

UPDATE [Connectors]
   SET [Feed_Id] = (SELECT [Feed_Id] FROM [Feeds] WHERE [Feed_Name] = 'Default')

GO

ALTER TABLE [Connectors]
	ALTER COLUMN [Feed_Id] INT NOT NULL